petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOCreate

Creates an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreate(MPI_Comm comm,AO *ao)

Collective on MPI_Comm

### Input Parameters

comm -MPI communicator that is to share AO

### Output Parameter

ao -the new application ordering

### Options Database Key

| -ao_type <aotype> | - create ao with particular format
| -ao_view | - call AOView() at the conclusion of AOCreate()

### Keywords

AO, create

### See Also

AOSetIS(), AODestroy(), AOPetscToApplication(), AOApplicationToPetsc()

### Level

beginner

### Location

src/vec/is/ao/interface/ao.c

### Implementations

AOCreate_Basic in src/vec/is/ao/impls/basic/aobasic.c
AOCreate_MemoryScalable in src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages